/*
    A basic extension of the java.applet.Applet class
 */

package tstest;

import java.awt.*;
import java.applet.*;
import java.net.*;
import java.util.*;


public class AppletFrame extends Frame implements AppletStub, AppletContext {

    public AppletFrame ( String title, Applet applet, int width, int height ) {

        setTitle( title );
        resize( width, height );
        add ( "Center", applet );
        applet.setStub(this);
        applet.init();
        show();
        applet.start();
    	//{{INIT_CONTROLS
		//}}
		//{{INIT_MENUS
		//}}
}
    
    public boolean handleEvent( Event evt ) {
        if ( evt.id == Event.WINDOW_DESTROY ) {
            System.exit( 0 );
        }
        return super.handleEvent( evt );
    }
    
    // AppletStub methods
    public boolean isActive() { return true; } 
    public URL getDocumentBase() { return null; } 
    public URL getCodeBase() { return null; } 
    public String getParameter(String name) { return ""; } 
    public AppletContext getAppletContext() { return this; } 
    public void appletResize(int width, int height) {  } 
    
    // AppletContext methods
    public AudioClip getAudioClip(URL url) { return null; } 
    public Image getImage(URL url) { return null; } 
    public Applet getApplet(String name) { return null; } 
    public Enumeration getApplets() { return null; } 
    public void showDocument(URL url) { } 
    public void showDocument(URL url, String target) { } 
    public void showStatus(String status) { } 
	//{{DECLARE_CONTROLS
	//}}
	//{{DECLARE_MENUS
	//}}
}
        
